package com.example.elasticsearch.elasticsearchdemo.service

import com.example.elasticsearch.elasticsearchdemo.model.Matching
import com.example.elasticsearch.elasticsearchdemo.repository.matchingRepository
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

@Service
class MatchingService {

    @Autowired
    lateinit var matchingRepository: matchingRepository


    fun save(name: String) {
        val matching = Matching(null ,name)
        matchingRepository.save(matching)

    }

    fun getMatching(id: String): Matching {
        val matching = matchingRepository.findById(id)

        return matching.get()
    }
}